Skip to content

Get Slack Bot

GET
/api/v3/organizations/{organisation}/ai/slack-bots/{botId}

Retrieves details for a specific Slack bot including its configuration, connection status, and flattened agent configuration.

Authorizations

Parameters

Path Parameters

organisation
required
string

The organisation ID

botId
required
string

The Slack bot ID

Responses

200

Slack bot details retrieved successfully

object
bot
object
botId
string
name
string
setupType
string
Allowed values: quant byo
status
string
Allowed values: active inactive
connected
boolean
systemPrompt
string
modelId
string
temperature
number
maxTokens
integer
allowedTools
Array<string>
assignedSkills
Array<string>
allowedCollections
Array<string>
allowedSubAgents
Array<string>
guardrailPreset
string
filterPolicies
Array<string>
longContext
boolean
sessionTtlDays
integer
allowedChannels
Array<string>
allowedUsers
Array<string>
deniedUsers
Array<string>
allowGuests
boolean
homeTabContent
string
agentAccessControl
object
keywordsEnabled
boolean
keywords
Array<string>
createdAt
string format: date-time
updatedAt
string format: date-time

403

Access denied

404

Slack bot not found

500

Failed to retrieve Slack bot